Bug 108670 - Requesting commit access to drm-intel
Summary: Requesting commit access to drm-intel
Status: RESOLVED FIXED
Alias: None
Product: freedesktop.org
Classification: Unclassified
Component: New Accounts (show other bugs)
Version: unspecified
Hardware: All All
: medium normal
Assignee: fd.o Admin Massive
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-06 01:47 UTC by Jose Roberto de Souza
Modified: 2018-11-21 17:11 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
SSH public key (746 bytes, application/vnd.ms-publisher)
2018-11-06 01:47 UTC, Jose Roberto de Souza
Details
GPG pub key (1.74 KB, text/plain)
2018-11-06 01:48 UTC, Jose Roberto de Souza
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jose Roberto de Souza 2018-11-06 01:47:25 UTC
Created attachment 142380 [details]
SSH public key

I would like to request commit access to drm-intel, I have being contributing to it in the past months with patches and reviews and I fill the requirements and I follow the code of conduct.
Comment 1 Jose Roberto de Souza 2018-11-06 01:48:54 UTC
Created attachment 142381 [details]
GPG pub key
Comment 2 Rodrigo Vivi 2018-11-06 05:51:03 UTC
Acked-by: Rodrigo Vivi <rodrigo.vivi@intel.com>
Comment 3 Daniel Stone 2018-11-06 10:10:51 UTC
Account created, you can now push to ssh://git.freedesktop.org with dim, and your username is jose.souza. Please double-check you use the correct username when you run SSH. Can you please also create a GitLab user called jose.souza?
Comment 4 Jose Roberto de Souza 2018-11-06 18:25:14 UTC
Thanks Rodrigo

And thanks Daniel, I already have a gitlab account with commit rights to IGT, username: zehortigoza
Comment 5 Joonas Lahtinen 2018-11-20 12:46:55 UTC
First of all, I'm pretty sure the instructions called for Cc:ing all the maintainers in the request. At least I was not receiving any mails about this.

And secondly, we should probably agree on a reasonable period of time (considering time zone differences) after the request is made to allow discussion on the topic before the commit rights are added.

I think is second occurance like this, so probably needs fixing.
Comment 6 Jose Roberto de Souza 2018-11-20 20:51:53 UTC
Hi Joonas

I followed this instructions:
https://drm.pages.freedesktop.org/maintainer-tools/commit-access.html
https://www.freedesktop.org/wiki/AccountRequests/

And it only says to ping a maintainer if the request gets stuck.
Comment 7 Joonas Lahtinen 2018-11-21 07:55:58 UTC
Right, seems to have fallen through the cracks when the document was added. We'll discuss this and amend the document.
Comment 8 Jani Nikula 2018-11-21 08:05:16 UTC
José, zero complaints about what you did here, and zero complaints about you being added as a committer. This is all about the process and us.

"Maintainer acks are required to confirm commit rights." was meant to imply all maintainers need to ack, or at the very least need advance notice about each committer being added. Again, I would have acked José just the same, I just don't want to learn about new committers by looking at git logs.
Comment 9 Rodrigo Vivi 2018-11-21 17:11:28 UTC
This is not how I read this and how I understood from our discussions.
If ack from *all* maintainers are needed please change the documentation to make that explicit. Although I also don't agree with this. The rest of rules and requirements are very well written so I would ack and grant access to anyone who meets the criteria.
We cannot be subjective here and ack or nack according to maintainers feelings. If one maintainer checked the status and acked than it should be trusted.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.